Subject: Re: bug#24537: [PATCH] Fix compatibility with macOS 10.12 pmset (bug#24537)

From: Alan Third <[email-masked]>
Date: Thu, 29 Sep 2016 23:09:19 +0100

On Thu, Sep 29, 2016 at 06:02:36PM -0400, Noam Postavsky wrote:
> On Thu, Sep 29, 2016 at 3:31 PM, Alan Third <[email-masked]> wrote:
> > +       (when (re-search-forward "^ -InternalBattery-0\\([ \t]+\(id\=[0-9]+\)\\)*[ \t]+" nil t)
> 
> Using "\(id\=[0-9]+\)" instead of the equivalent "(id=[0-9]+)" is a
> bit confusing.

Ah, I thought they had to be escaped because they’re special
characters. It seems I was wrong. Thanks. :)

I’ve removed the three extra slashes, do you want me to repost the
patch?
-- 
Alan Third